Bug 1411289 - [GSS](6.4.7) Deadlock in BasicAction when jboss remoting and JTA is used
Summary: [GSS](6.4.7) Deadlock in BasicAction when jboss remoting and JTA is used
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB
Version: 6.4.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: One-off release
Assignee: Tom Ross
QA Contact: Jan Martiska
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 11:10 UTC by Tom Ross
Modified: 2020-04-15 15:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-27 08:42:24 UTC
Type: Support Patch


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-6193 0 Major Verified [GSS](7.1.0) Deadlock in BasicAction when jboss remoting and JTA is used 2017-03-22 14:18:00 UTC

Description Tom Ross 2017-01-09 11:10:04 UTC
At EJBRemoteTransactionPropagatingInterceptor, a transaction that has been already open at current server could be ignored, thus causing the transaction to be reimported, resulting in the double diamond problem.

To reproduce you need a reinvocation at a server that was already participating in the transaction, as the scenario below for example:
    server1 -> server2 -> server1


Note You need to log in before you can comment on or make changes to this bug.